Bug 662273 - (ghc-data-accessor) Review Request: ghc-data-accessor - Utilities for accessing and manipulating fields of records
Review Request: ghc-data-accessor - Utilities for accessing and manipulating ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 664155 ghc-pointedlist 712404 yi
  Show dependency treegraph
 
Reported: 2010-12-11 00:35 EST by Ben Boeckel
Modified: 2013-02-24 03:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-24 03:53:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-12-11 00:35:26 EST
Spec URL: http://benboeckel.net/packaging/ghc-data-accessor/ghc-data-accessor.spec
SRPM URL: http://benboeckel.net/packaging/ghc-data-accessor/ghc-data-accessor-0.2.1.5-1.fc14.src.rpm
Description:
With this package you can define record field accessors which
allow setting, getting and modifying values easily. The
package clearly demonstrates the power of the functional
approach: You can combine accessors of a record and
sub-records, to make the access look like the fields of the
sub-record belong to the main record.

% lintmock fedora-rawhide-x86_64
ghc-data-accessor.src: W: spelling-error %description -l en_US accessors -> accessory, accessorize, successors
ghc-data-accessor.src: W: strange-permission data-accessor-0.2.1.5.tar.gz 0640L
ghc-data-accessor.src: W: strange-permission ghc-data-accessor.spec 0640L
ghc-data-accessor.x86_64: W: spelling-error %description -l en_US accessors -> accessory, accessorize, successors
ghc-data-accessor-devel.x86_64: W: spelling-error %description -l en_US accessors -> accessory, accessorize, successors
ghc-data-accessor-prof.x86_64: E: devel-dependency ghc-data-accessor-devel
ghc-data-accessor-prof.x86_64: E: summary-too-long C Profiling libraries for Utilities for accessing and manipulating fields of records
ghc-data-accessor-prof.x86_64: W: spelling-error %description -l en_US accessors -> accessory, accessorize, successors
ghc-data-accessor-prof.x86_64: W: no-documentation
ghc-data-accessor-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-7.0.1/data-accessor-0.2.1.5/libHSdata-accessor-0.2.1.5_p.a
4 packages and 0 specfiles checked; 2 errors, 8 warnings.
Comment 1 Jens Petersen 2011-01-28 06:07:31 EST
As earlier discussed on Fedora haskell-devel list,
dropping libraries for now from the toplevel of Haskell-pkg-reviews,
so we, the Haskell SIG, can focus more on getting Haskell apps into Fedora.

To get you library back under the tracker please submit a bin or binlib
package that depends on this library and make this bug block that package
review.  It is a good idea to submit full stacks of packages and then
to add the toplevel program to the tracker.
Comment 2 Ben Boeckel 2012-03-03 00:17:06 EST
Spec URL: http://benboeckel.net/packaging/ghc-data-accessor/ghc-data-accessor.spec
SRPM URL: http://benboeckel.net/packaging/ghc-data-accessor/ghc-data-accessor-0.2.2.1-1.fc18.src.rpm

ghc-data-accessor.src: W: spelling-error %description -l en_US accessors -> accessory, accessorizes, accessorize
ghc-data-accessor.src: W: strange-permission ghc-data-accessor.spec 0640L
ghc-data-accessor.src: W: strange-permission data-accessor-0.2.2.1.tar.gz 0640L
ghc-data-accessor.x86_64: W: spelling-error %description -l en_US accessors -> accessory, accessorizes, accessorize
ghc-data-accessor-devel.x86_64: W: spelling-error %description -l en_US accessors -> accessory, accessorizes, accessorize
3 packages and 0 specfiles checked; 0 errors, 5 warnings.
Comment 3 Narasimhan 2012-09-09 03:40:04 EDT
Ben,
I can take this. Could you update the spec file to the latest cabal2spec?
Comment 4 Narasimhan 2012-12-02 22:28:39 EST
Ben,
Ping?
Comment 6 Narasimhan 2013-01-11 16:23:28 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ghc-data-accessor-0.2.2.3-1.fc17.x86_64.rpm ghc-data-accessor-devel-0.2.2.3-1.fc17.x86_64.rpm ghc-data-accessor-0.2.2.3-1.fc17.src.rpm ../ghc-data-accessor.spec 
ghc-data-accessor.x86_64: W: spelling-error %description -l en_US accessors -> accessory, accessorizes, accessorize
The value of this tag appears to be misspelled. Please double-check.

ghc-data-accessor-devel.x86_64: W: spelling-error %description -l en_US accessors -> accessory, accessorizes, accessorize
The value of this tag appears to be misspelled. Please double-check.

ghc-data-accessor.src: W: spelling-error %description -l en_US accessors -> accessory, accessorizes, accessorize
The value of this tag appears to be misspelled. Please double-check.

ghc-data-accessor.src: W: strange-permission ghc-data-accessor.spec 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-data-accessor.src: W: strange-permission data-accessor-0.2.2.3.tar.gz 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

3 packages and 1 specfiles checked; 0 errors, 5 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
BSD license
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
sha256sum ghc-data-accessor-0.2.2.3-1.fc19.src/data-accessor-0.2.2.3.tar.gz 
f21535cd4cc6746a20c86357b481f9155f46f126720bc283f105d4a1d7ca41b9  ghc-data-accessor-0.2.2.3-1.fc19.src/data-accessor-0.2.2.3.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
ghc(data-accessor-0.2.2.3) = 512a11844de71aa58d4d2be806ad29a6 is needed by (installed) ghc-data-accessor-devel-0.2.2.3-1.fc17.x86_64
      ghc-data-accessor = 0.2.2.3-1.fc17 is needed by (installed) ghc-data-accessor-devel-0.2.2.3-1.fc17.x86_64

[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 
[-]SHOULD: The reviewer should test that the package builds in mock. 
[-]SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+]SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
Installed the packages. Loaded Data.Accessor.Basic into ghci. Loads fine.

cabal2spec-diff is OK.

APPROVED.
Comment 7 Ben Boeckel 2013-01-24 00:05:01 EST
New Package SCM Request
=======================
Package Name: ghc-data-accessor
Short Description: Utilities for accessing and manipulating fields of records
Owners: mathstuf
Branches: f17 f18
InitialCC: haskell-sig
Comment 8 Gwyn Ciesla 2013-01-24 08:24:52 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-02-12 00:29:08 EST
ghc-data-accessor-0.2.2.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-data-accessor-0.2.2.3-2.fc17
Comment 10 Fedora Update System 2013-02-12 00:29:37 EST
ghc-data-accessor-0.2.2.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-data-accessor-0.2.2.3-2.fc18
Comment 11 Fedora Update System 2013-02-12 23:26:54 EST
ghc-data-accessor-0.2.2.3-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 12 Fedora Update System 2013-02-24 03:53:41 EST
ghc-data-accessor-0.2.2.3-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 13 Fedora Update System 2013-02-24 03:54:07 EST
ghc-data-accessor-0.2.2.3-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.